Sign inGet started

Team Management

GET
/workspaces/{workspaceId}/teams
Retrieve a list of teams within the workspace, showcasing their members count and other details.
Parametry zapytania
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sortBy
string
Sort by field specified
Possible values: name
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.workspaceId
string
wymagane
results.name
string
wymagane
results.description
string
wymagane
results.visibility
string
wymagane
results.accessibility
string
results.activeMemberCount
integer
wymagane
results.pendingMemberCount
integer
wymagane
results.featuredMembers
array of object
wymagane
Pokaż atrybuty podrzędne
results.featuredMembers.id
string
wymagane
results.featuredMembers.type
string
wymagane
results.hideFromViews
boolean
wymagane
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}
Retrieve information about a specific team within the workspace, including its name, and other details.
Treść odpowiedzi
id
string
wymagane
workspaceId
string
wymagane
name
string
wymagane
description
string
wymagane
visibility
string
wymagane
accessibility
string
activeMemberCount
integer
wymagane
pendingMemberCount
integer
wymagane
featuredMembers
array of object
wymagane
Pokaż atrybuty podrzędne
featuredMembers.id
string
wymagane
featuredMembers.type
string
wymagane
hideFromViews
boolean
wymagane
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams
Create a new team within the workspace, defining its name, and other relevant attributes.
Treść żądania
name
string
wymagane
description
string
hideFromViews
boolean
members
array of object
Pokaż parametry podrzędne
members.id
string
wymagane
members.type
string
wymagane
Treść odpowiedzi
id
string
wymagane
workspaceId
string
wymagane
name
string
wymagane
description
string
wymagane
visibility
string
wymagane
accessibility
string
activeMemberCount
integer
wymagane
pendingMemberCount
integer
wymagane
featuredMembers
array of object
wymagane
Pokaż atrybuty podrzędne
featuredMembers.id
string
wymagane
featuredMembers.type
string
wymagane
hideFromViews
boolean
wymagane
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/teams/{teamId}
Modify the details of a specific team within the workspace, such as its name, or other attributes.
Treść żądania
name
string
description
string
hideFromViews
boolean
Treść odpowiedzi
id
string
wymagane
workspaceId
string
wymagane
name
string
wymagane
description
string
wymagane
visibility
string
wymagane
accessibility
string
activeMemberCount
integer
wymagane
pendingMemberCount
integer
wymagane
featuredMembers
array of object
wymagane
Pokaż atrybuty podrzędne
featuredMembers.id
string
wymagane
featuredMembers.type
string
wymagane
hideFromViews
boolean
wymagane
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}
Remove a specific team from the workspace, permanently deleting its profile and associated data.
Przykład kodu
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members
Retrieve a list of members within the team, showcasing their names and other details.
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.teamId
string
wymagane
results.type
string
wymagane
results.status
string
wymagane
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams/{teamId}/members
Add a new member to the team.
Treść żądania
id
string
wymagane
type
string
wymagane
Possible values: user
Treść odpowiedzi
id
string
wymagane
teamId
string
wymagane
type
string
wymagane
status
string
wymagane
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Retrieve information about a specific member within the team, including their name and other details.
Treść odpowiedzi
id
string
wymagane
teamId
string
wymagane
type
string
wymagane
status
string
wymagane
createdAt
string
wymagane
updatedAt
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Remove a specific member from the team.
Przykład kodu
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'